Subject: Re: [RRG] Renumbering...

From: Stephen Sprunk <[email-masked]>
Date: Tue, 02 Sep 2008 23:33:22 -0500

Noel Chiappa wrote:
>     > From: Stephen Sprunk <[email-masked]>
>
>     > We _already_ have a scalable solution that requires end-sites to
>     > renumber: RFC 4192. The target market rolled their eyes and got the
>     > RIRs to change policy to allow PI assignments in IPv6 .. rather than
>     > even give it a try because the very concept was so unacceptable.
>
> This message triggered a rather depressing thought.
>
> As long as the registries continue to hand out PI space, and as long as the
> ISP's continue to accept and advertise them, most of this whole RRF effort is
> an utter waste of time. (Specifically, any designs which assume *any* effort
> on the part of users/etc are total non-starters.)
>   

I think that's excessively pessimistic.  Large end-user orgs are looking 
for some way to minimize renumbering and avoid provider lock-in.  Today, 
the only technical solution which offers those features is PI space.  
And, to be fair, the RIRs have set a minimum bar on the folks who can 
get PIv6 space in response to ISPs' concerns about routing table growth.

If some alternate scheme existed which did not require a DFZ slot for 
every org with PI space by turning it into EID space, then we could 
solve that problem as well as remove (or at least lower significantly) 
the bar required to get some, which means _more_ orgs could multi-home 
at _lower_ global cost.  To me, that is the potential benefit behind 
what RRG is doing.

Note that this does not _require_ that end-user orgs do any of the 
work.  Their ISPs could, if they were motivated, accept their PI/EID 
space via BGP and push it into the mapping system and run a set of 
anycast ITRs, which advertised only the entire EID block.  Those of us 
in the RIRs have helped facilitate this, to a degree, by mandating that 
PIv6 assignments be made out blocks be distinct from those used for 
PAv6, which means that it's a five-line ACL to block _all_ PIv6 space 
from _all_ RIRs in the DFZ.  However, there must be an alternate way for 
their traffic to get through before that's feasible.

S

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg